ru.bitel.bgbilling.modules.tv.access.om

## Class OrderManagerAdapter

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.access.om.OrderManagerAdapter

- All Implemented Interfaces:
    OrderManager

      public abstract class OrderManagerAdapter
      extends java.lang.Object
      implements OrderManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderManagerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `accountCreate(AccountOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Создание аккаунта в сторонней системе.
    `java.lang.Object` | `accountModify(AccountOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Изменение аккаунта в сторонней системе.
    `java.lang.Object` | `accountOptionsModify(AbstractOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Изменение опций аккаунта в сторонней системе.
    `java.lang.Object` | `accountRemove(AccountOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Удаление аккаунта из сторонней системы.
    `java.lang.Object` | `accountServicesModify(AccountOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)`
    `java.lang.Object` | `accountStateModify(AccountOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Изменение состояния аккаунта в сторонней системе.
    `java.lang.Object` | `connect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Подключение к сторонней системе.
    `java.lang.Object` | `destroy()` Утилизация обработчика.
    `java.lang.Object` | `disconnect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Отключение от сторонней системы.
    `java.lang.Object` | `init(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx, int moduleId, TvDevice tvDevice, TvDeviceType tvDeviceType, ParameterMap config)` Инициализация обработчика.
    `java.lang.Object` | `productsModify(ProductOrderEvent e, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)` Изменение набора активных продуктов в сторонней системе.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderManagerAdapter

          public OrderManagerAdapter()

  - ### Method Detail

    - #### init

          public java.lang.Object init(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx,
                                       int moduleId,
                                       TvDevice tvDevice,
                                       TvDeviceType tvDeviceType,
                                       ParameterMap config)
                                throws java.lang.Exception

      Description copied from interface: `OrderManager`
      Инициализация обработчика. Вызывается после создания объекта.
      Specified by:
        `init` in interface `OrderManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### destroy

          public java.lang.Object destroy()
                                   throws java.lang.Exception

      Description copied from interface: `OrderManager`
      Утилизация обработчика. Вызывается перед освобождением объекта.
      Specified by:
        `destroy` in interface `OrderManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### connect

          public java.lang.Object connect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                   throws java.lang.Exception

      Description copied from interface: `OrderManager`
      Подключение к сторонней системе.
      Specified by:
        `connect` in interface `OrderManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### disconnect

          public java.lang.Object disconnect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                      throws java.lang.Exception

      Description copied from interface: `OrderManager`
      Отключение от сторонней системы.
      Specified by:
        `disconnect` in interface `OrderManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### accountCreate

          public java.lang.Object accountCreate(AccountOrderEvent e,
                                                ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                         throws java.lang.Exception

      Description copied from interface: `OrderManager`
      Создание аккаунта в сторонней системе.
      Specified by:
        `accountCreate` in interface `OrderManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### accountModify

          public java.lang.Object accountModify(AccountOrderEvent e,
                                                ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                         throws java.lang.Exception

      Description copied from interface: `OrderManager`
      Изменение аккаунта в сторонней системе.
      Specified by:
        `accountModify` in interface `OrderManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### accountRemove

          public java.lang.Object accountRemove(AccountOrderEvent e,
                                                ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                         throws java.lang.Exception

      Description copied from interface: `OrderManager`
      Удаление аккаунта из сторонней системы.
      Specified by:
        `accountRemove` in interface `OrderManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### accountStateModify

          public java.lang.Object accountStateModify(AccountOrderEvent e,
                                                     ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                              throws java.lang.Exception

      Description copied from interface: `OrderManager`
      Изменение состояния аккаунта в сторонней системе.
      Specified by:
        `accountStateModify` in interface `OrderManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### accountOptionsModify

          public java.lang.Object accountOptionsModify(AbstractOrderEvent e,
                                                       ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                                throws java.lang.Exception

      Description copied from interface: `OrderManager`
      Изменение опций аккаунта в сторонней системе.
      Specified by:
        `accountOptionsModify` in interface `OrderManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### accountServicesModify

          public java.lang.Object accountServicesModify(AccountOrderEvent e,
                                                        ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### productsModify

          public java.lang.Object productsModify(ProductOrderEvent e,
                                                 ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                          throws java.lang.Exception

      Description copied from interface: `OrderManager`
      Изменение набора активных продуктов в сторонней системе.
      Specified by:
        `productsModify` in interface `OrderManager`
      Returns:
      Throws:
        `java.lang.Exception`